regina::NPluggedTorusBundle Class Reference
Standard Triangulations and Subcomplexes

Describes a triangulation of a graph manifold formed by joining a bounded saturated region with a thin I-bundle over the torus, possibly with layerings in between. More...

`#include <subcomplex/npluggedtorusbundle.h>`

Inheritance diagram for regina::NPluggedTorusBundle:

## Public Member Functions

| ~NPluggedTorusBundle ()
| Destroys this structure and its constituent components. More...
const NTxICore & | bundle () const
| Returns an isomorphic copy of the thin I-bundle that forms part of this triangulation. More...
const NIsomorphism & | bundleIso () const
| Returns an isomorphism describing how the thin I-bundle forms a subcomplex of this triangulation. More...
const NSatRegion & | region () const
| Returns the saturated region that forms part of this triangulation. More...
const NMatrix2 & | matchingReln () const
| Returns the matrix describing how the two torus boundaries of the saturated region are joined by the thin I-bundle and layerings. More...
NManifold * | getManifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
Public Member Functions inherited from regina::NStandardTriangulation
virtual | ~NStandardTriangulation ()
| A destructor that does nothing. More...
std::string | getName () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | getTeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual NAbelianGroup * | getHomologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Static Public Member Functions

static NPluggedTorusBundle * | isPluggedTorusBundle (NTriangulation *tri)
| Determines if the given triangulation is a saturated region joined to a thin I-bundle via optional layerings, as described in the class notes above. More...
Static Public Member Functions inherited from regina::NStandardTriangulation
static NStandardTriangulation * | isStandardTriangulation (NComponent *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static NStandardTriangulation * | isStandardTriangulation (NTriangulation *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Additional Inherited Members

Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...

## Detailed Description

Describes a triangulation of a graph manifold formed by joining a bounded saturated region with a thin I-bundle over the torus, possibly with layerings in between.

The thin I-bundle must be untwisted, so that it forms the product `T x I` with two boundary tori. Moreover, it must be isomorphic to some existing instance of the class NTxICore.

The saturated region is described by an object of the class NSatRegion. This region must have precisely two boundary annuli. These may be two separate torus boundaries (each formed from its own saturated annulus). Alternatively, the saturated region may have a single boundary formed from both saturated annuli, where this boundary is pinched together so that each annulus becomes its own two-sided torus.

Either way, the saturated region effectively has two torus boundaries, each formed from two triangles of the triangulation. These boundaries are then joined to the two torus boundaries of the thin I-bundle, possibly with layerings in between (for more detail on layerings, see the NLayering class). This is illustrated in the following diagram, where the small tunnels show where the torus boundaries are joined (possibly via layerings).

       /--------------------\     /-----------------\
       |                     -----                  |
       |                     -----                  |
       |  Saturated region  |     |  Thin I-bundle  |
       |                     -----                  |
       |                     -----                  |
       \--------------------/     \-----------------/

The effect of the thin I-bundle and the two layerings is essentially to join the two boundaries of the saturated region according to some non-trivial homeomorphism of the torus. This homeomorphism is specified by a 2-by-2 matrix M as follows.

Suppose that f0 and o0 are directed curves on the first boundary torus and f1 and o1 are directed curves on the second boundary torus, where f0 and f1 represent the fibres of the saturated region and o0 and o1 represent the base orbifold (see the page on Notation for Seifert fibred spaces for terminology). Then the torus boundaries of the saturated region are identified by the thin I-bundle and layerings according to the following relation:

        [f1]       [f0]
        [  ] = M * [  ]
        [o1]       [o0]

Note that the routines writeName() and writeTeXName() do not offer enough information to uniquely identify the triangulation, since this essentially requires 2-dimensional assemblings of saturated blocks. For more detail, writeTextLong() may be used instead.

The optional NStandardTriangulation routine getManifold() is implemented for this class, but getHomologyH1() is not.

## Constructor & Destructor Documentation

regina::NPluggedTorusBundle::~NPluggedTorusBundle | ( |  | ) |

Destroys this structure and its constituent components.

As an exception, the thin I-bundle is not destroyed, since it is assumed that this is referenced from elsewhere.

## Member Function Documentation

const NTxICore & regina::NPluggedTorusBundle::bundle | ( |  | ) | const

inline

Returns an isomorphic copy of the thin I-bundle that forms part of this triangulation.

Like all objects of class NTxICore, the thin I-bundle that is returned is an external object with its own separate triangulation of the product `T x I`. For information on how the thin I-bundle is embedded within this triangulation, see the routine bundleIso().

Returns
  the an isomorphic copy of the thin I-bundle within this triangulation.

const NIsomorphism & regina::NPluggedTorusBundle::bundleIso | ( |  | ) | const

inline

Returns an isomorphism describing how the thin I-bundle forms a subcomplex of this triangulation.

The thin I-bundle returned by bundle() does not directly refer to tetrahedra within this triangulation. Instead it contains its own isomorphic copy of the thin I-bundle triangulation (as is usual for objects of class NTxICore).

The isomorphism returned by this routine is a mapping from the triangulation bundle().core() to this triangulation, showing how the thin I-bundle appears as a subcomplex of this structure.

Returns
  an isomorphism from the thin I-bundle described by bundle() to the tetrahedra of this triangulation.

NManifold* regina::NPluggedTorusBundle::getManifold | ( |  | ) | const

virtual

Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented.

If the 3-manifold cannot be recognised then this routine will return 0.

The details of which standard triangulations have 3-manifold recognition routines can be found in the notes for the corresponding subclasses of NStandardTriangulation. The default implementation of this routine returns 0.

It is expected that the number of triangulations whose underlying 3-manifolds can be recognised will grow between releases.

The 3-manifold will be newly allocated and must be destroyed by the caller of this routine.

Returns
  the underlying 3-manifold.

Reimplemented from regina::NStandardTriangulation.

static NPluggedTorusBundle* regina::NPluggedTorusBundle::isPluggedTorusBundle | ( | NTriangulation * | tri | ) |

static

Determines if the given triangulation is a saturated region joined to a thin I-bundle via optional layerings, as described in the class notes above.

Parameters

  tri | the triangulation to examine.

Returns
  a newly created object containing details of the structure that was found, or `null` if the given triangulation is not of the form described by this class.

const NMatrix2 & regina::NPluggedTorusBundle::matchingReln | ( |  | ) | const

inline

Returns the matrix describing how the two torus boundaries of the saturated region are joined by the thin I-bundle and layerings.

See the class notes above for details.

Returns
  the matching relation between the two region boundaries.

const NSatRegion & regina::NPluggedTorusBundle::region | ( |  | ) | const

inline

Returns the saturated region that forms part of this triangulation.

The region refers directly to tetrahedra within this triangulation (as opposed to the thin I-bundle, which refers to a separate external triangulation).

Returns
  the saturated region.

std::ostream& regina::NPluggedTorusBundle::writeName | ( | std::ostream & | out | ) | const

virtual

Writes the name of this triangulation as a human-readable string to the given output stream.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NStandardTriangulation.

std::ostream& regina::NPluggedTorusBundle::writeTeXName | ( | std::ostream & | out | ) | const

virtual

Writes the name of this triangulation in TeX format to the given output stream.

No leading or trailing dollar signs will be included.

Warning
  The behaviour of this routine has changed as of Regina 4.3; in earlier versions, leading and trailing dollar signs were provided.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NStandardTriangulation.

void regina::NPluggedTorusBundle::writeTextLong | ( | std::ostream & | out | ) | const

virtual

Writes this object in long text format to the given output stream.

The output should provide the user with all the information they could want. The output should be human-readable, should not contain extremely long lines (so users can read the output in a terminal), and should end with a final newline.

The default implementation of this routine merely calls writeTextShort() and adds a newline.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Reimplemented from regina::ShareableObject.

The documentation for this class was generated from the following file:

- subcomplex/npluggedtorusbundle.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).